# Vaults Admin

Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager.

## POST /api/v1/vaults-admin/pause-starke

> Pause Starke

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/pause-starke":{"post":{"tags":["Vaults Admin"],"summary":"Pause Starke","operationId":"pause_starke","responses":{"200":{"description":"Successfully sent transaction.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Signature"}}}},"400":{"description":"Could not fetch blockhash."},"403":{"description":"Incorrect Authority Keypair."},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"Signature":{"type":"string","description":"Base-58 encoded Solana Signature","contentEncoding":"base58"}}}}
```

## POST /api/v1/vaults-admin/resume-starke

> Resume Starke

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/resume-starke":{"post":{"tags":["Vaults Admin"],"summary":"Resume Starke","operationId":"resume_starke","responses":{"200":{"description":"Successfully sent transaction.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Signature"}}}},"400":{"description":"Could not fetch blockhash."},"403":{"description":"Incorrect Authority Keypair."},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"Signature":{"type":"string","description":"Base-58 encoded Solana Signature","contentEncoding":"base58"}}}}
```

## POST /api/v1/vaults-admin/whitelist-token

> Whitelist Token

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/whitelist-token":{"post":{"tags":["Vaults Admin"],"summary":"Whitelist Token","operationId":"whitelist_token","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WhitelistTokenQuery"}}},"required":true},"responses":{"200":{"description":"Successfully sent transaction.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Signature"}}}},"400":{"description":"Could not fetch blockhash."},"403":{"description":"Incorrect Authority Keypair."},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"WhitelistTokenQuery":{"type":"object","required":["token","price_feed_id","price_update"],"properties":{"token":{"$ref":"#/components/schemas/Pubkey"},"price_feed_id":{"type":"string"},"price_update":{"$ref":"#/components/schemas/Pubkey"}}},"Pubkey":{"type":"string","description":"Base-58 encoded Solana Pubkey","contentEncoding":"base58"},"Signature":{"type":"string","description":"Base-58 encoded Solana Signature","contentEncoding":"base58"}}}}
```

## POST /api/v1/vaults-admin/whitelist-user

> Whitelist User

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/whitelist-user":{"post":{"tags":["Vaults Admin"],"summary":"Whitelist User","operationId":"whitelist_user","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WhitelistUserQuery"}}},"required":true},"responses":{"200":{"description":"Successfully sent transaction.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Signature"}}}},"400":{"description":"Could not fetch blockhash."},"403":{"description":"Incorrect Authority Keypair."},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"WhitelistUserQuery":{"type":"object","required":["user","investor_tier","investor_type"],"properties":{"user":{"$ref":"#/components/schemas/Pubkey"},"investor_tier":{"$ref":"#/components/schemas/InvestorTier"},"investor_type":{"$ref":"#/components/schemas/InvestorType"}}},"Pubkey":{"type":"string","description":"Base-58 encoded Solana Pubkey","contentEncoding":"base58"},"InvestorTier":{"type":"string","enum":["basic","accredited","qualified"]},"InvestorType":{"type":"string","enum":["unknown","entity","individual"]},"Signature":{"type":"string","description":"Base-58 encoded Solana Signature","contentEncoding":"base58"}}}}
```

## POST /api/v1/vaults-admin/whitelist-manager

> Whitelist Manager

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/whitelist-manager":{"post":{"tags":["Vaults Admin"],"summary":"Whitelist Manager","operationId":"whitelist_manager","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WhitelistManagerQuery"}}},"required":true},"responses":{"200":{"description":"Successfully sent transaction.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Signature"}}}},"400":{"description":"Could not fetch blockhash."},"403":{"description":"Incorrect Authority Keypair."},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"WhitelistManagerQuery":{"type":"object","required":["manager"],"properties":{"manager":{"$ref":"#/components/schemas/Pubkey"}}},"Pubkey":{"type":"string","description":"Base-58 encoded Solana Pubkey","contentEncoding":"base58"},"Signature":{"type":"string","description":"Base-58 encoded Solana Signature","contentEncoding":"base58"}}}}
```

## POST /api/v1/vaults-admin/remove-whitelisted-token

> Remove Whitelisted Token

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/remove-whitelisted-token":{"post":{"tags":["Vaults Admin"],"summary":"Remove Whitelisted Token","operationId":"remove_whitelisted_token","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlacklistTokenQuery"}}},"required":true},"responses":{"200":{"description":"Successfully sent transaction.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Signature"}}}},"400":{"description":"Could not fetch blockhash."},"403":{"description":"Incorrect Authority Keypair."},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"BlacklistTokenQuery":{"type":"object","required":["token"],"properties":{"token":{"$ref":"#/components/schemas/Pubkey"}}},"Pubkey":{"type":"string","description":"Base-58 encoded Solana Pubkey","contentEncoding":"base58"},"Signature":{"type":"string","description":"Base-58 encoded Solana Signature","contentEncoding":"base58"}}}}
```

## POST /api/v1/vaults-admin/remove-whitelisted-user

> Remove Whitelisted User

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/remove-whitelisted-user":{"post":{"tags":["Vaults Admin"],"summary":"Remove Whitelisted User","operationId":"remove_whitelisted_user","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlacklistUserQuery"}}},"required":true},"responses":{"200":{"description":"Successfully sent transaction.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Signature"}}}},"400":{"description":"Could not fetch blockhash."},"403":{"description":"Incorrect Authority Keypair."},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"BlacklistUserQuery":{"type":"object","required":["user"],"properties":{"user":{"$ref":"#/components/schemas/Pubkey"}}},"Pubkey":{"type":"string","description":"Base-58 encoded Solana Pubkey","contentEncoding":"base58"},"Signature":{"type":"string","description":"Base-58 encoded Solana Signature","contentEncoding":"base58"}}}}
```

## POST /api/v1/vaults-admin/remove-whitelisted-manager

> Remove Whitelisted Manager

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/remove-whitelisted-manager":{"post":{"tags":["Vaults Admin"],"summary":"Remove Whitelisted Manager","operationId":"remove_whitelisted_manager","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlacklistManagerQuery"}}},"required":true},"responses":{"200":{"description":"Successfully sent transaction.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Signature"}}}},"400":{"description":"Could not fetch blockhash."},"403":{"description":"Incorrect Authority Keypair."},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"BlacklistManagerQuery":{"type":"object","required":["manager"],"properties":{"manager":{"$ref":"#/components/schemas/Pubkey"}}},"Pubkey":{"type":"string","description":"Base-58 encoded Solana Pubkey","contentEncoding":"base58"},"Signature":{"type":"string","description":"Base-58 encoded Solana Signature","contentEncoding":"base58"}}}}
```

## POST /api/v1/vaults-admin/get-whitelisted-tokens

> Get Whitelisted Tokens

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/get-whitelisted-tokens":{"post":{"tags":["Vaults Admin"],"summary":"Get Whitelisted Tokens","operationId":"get_whitelisted_tokens","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetWhitelistedTokensQuery"}}},"required":true},"responses":{"200":{"description":"Successfully retrieved whitelisted tokens.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WhitelistedTokensResp"}}}},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"GetWhitelistedTokensQuery":{"type":"object","properties":{"tokens":{"type":["array","null"],"items":{"$ref":"#/components/schemas/Pubkey"}},"page":{"type":["integer","null"],"format":"int32","minimum":0},"limit":{"type":["integer","null"],"format":"int32","minimum":0}}},"Pubkey":{"type":"string","description":"Base-58 encoded Solana Pubkey","contentEncoding":"base58"},"WhitelistedTokensResp":{"allOf":[{"$ref":"#/components/schemas/Pagination"},{"type":"object","required":["tokens"],"properties":{"tokens":{"type":"array","items":{"$ref":"#/components/schemas/WhitelistedTokenResp"}}}}]},"Pagination":{"type":"object","required":["page","limit","total_pages","total_count"],"properties":{"page":{"type":"integer","format":"int32","description":"Current page number","minimum":0},"limit":{"type":"integer","format":"int32","description":"Number of items per page","minimum":0},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages","minimum":0},"total_count":{"type":"integer","format":"int64","description":"Total number of items","minimum":0}}},"WhitelistedTokenResp":{"type":"object","required":["mint","symbol","name","price_feed_id","price_update"],"properties":{"mint":{"$ref":"#/components/schemas/Pubkey"},"symbol":{"type":"string"},"name":{"type":"string"},"price_feed_id":{"type":"string"},"price_update":{"$ref":"#/components/schemas/Pubkey"}}}}}}
```

## POST /api/v1/vaults-admin/get-whitelisted-users

> Get Whitelisted Users

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/get-whitelisted-users":{"post":{"tags":["Vaults Admin"],"summary":"Get Whitelisted Users","operationId":"get_whitelisted_users","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetWhitelistedUsersQuery"}}},"required":true},"responses":{"200":{"description":"Successfully retrieved whitelisted users.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvestorsWithType"}}}},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"GetWhitelistedUsersQuery":{"type":"object","properties":{"users":{"type":["array","null"],"items":{"$ref":"#/components/schemas/Pubkey"}},"page":{"type":["integer","null"],"format":"int32","minimum":0},"limit":{"type":["integer","null"],"format":"int32","minimum":0}}},"Pubkey":{"type":"string","description":"Base-58 encoded Solana Pubkey","contentEncoding":"base58"},"InvestorsWithType":{"allOf":[{"$ref":"#/components/schemas/Pagination"},{"type":"object","required":["investors"],"properties":{"investors":{"type":"array","items":{"$ref":"#/components/schemas/InvestorWithType"}}}}]},"Pagination":{"type":"object","required":["page","limit","total_pages","total_count"],"properties":{"page":{"type":"integer","format":"int32","description":"Current page number","minimum":0},"limit":{"type":"integer","format":"int32","description":"Number of items per page","minimum":0},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages","minimum":0},"total_count":{"type":"integer","format":"int64","description":"Total number of items","minimum":0}}},"InvestorWithType":{"type":"object","required":["investor_id","investor_type","investor_tier"],"properties":{"investor_id":{"$ref":"#/components/schemas/Pubkey"},"investor_type":{"$ref":"#/components/schemas/InvestorType"},"investor_tier":{"$ref":"#/components/schemas/InvestorTier"}}},"InvestorType":{"type":"string","enum":["unknown","entity","individual"]},"InvestorTier":{"type":"string","enum":["basic","accredited","qualified"]}}}}
```

## POST /api/v1/vaults-admin/get-whitelisted-managers

> Get Whitelisted Managers

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/get-whitelisted-managers":{"post":{"tags":["Vaults Admin"],"summary":"Get Whitelisted Managers","operationId":"get_whitelisted_managers","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetWhitelistedManagersQuery"}}},"required":true},"responses":{"200":{"description":"Successfully retrieved whitelisted managers.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WhitelistedManagersResp"}}}},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"GetWhitelistedManagersQuery":{"type":"object","properties":{"managers":{"type":["array","null"],"items":{"$ref":"#/components/schemas/Pubkey"}},"page":{"type":["integer","null"],"format":"int32","minimum":0},"limit":{"type":["integer","null"],"format":"int32","minimum":0}}},"Pubkey":{"type":"string","description":"Base-58 encoded Solana Pubkey","contentEncoding":"base58"},"WhitelistedManagersResp":{"allOf":[{"$ref":"#/components/schemas/Pagination"},{"type":"object","required":["managers"],"properties":{"managers":{"type":"array","items":{"$ref":"#/components/schemas/Pubkey"}}}}]},"Pagination":{"type":"object","required":["page","limit","total_pages","total_count"],"properties":{"page":{"type":"integer","format":"int32","description":"Current page number","minimum":0},"limit":{"type":"integer","format":"int32","description":"Number of items per page","minimum":0},"total_pages":{"type":"integer","format":"int32","description":"Total number of pages","minimum":0},"total_count":{"type":"integer","format":"int64","description":"Total number of items","minimum":0}}}}}}
```

## GET /api/v1/vaults-admin/get-starke-config

> Get Starke Config

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/get-starke-config":{"get":{"tags":["Vaults Admin"],"summary":"Get Starke Config","operationId":"get_starke_config","responses":{"200":{"description":"Successfully retrieved starke config.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StarkeConfigResp"}}}},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"StarkeConfigResp":{"type":"object","required":["starke_config","is_paused"],"properties":{"starke_config":{"$ref":"#/components/schemas/Pubkey"},"is_paused":{"type":"boolean"}}},"Pubkey":{"type":"string","description":"Base-58 encoded Solana Pubkey","contentEncoding":"base58"}}}}
```

## Update vault metadata

> Partially update vault metadata. Only provided fields are changed; omitted fields keep their current values.

```json
{"openapi":"3.1.0","info":{"title":"Fund Tokenization as a Service API","version":"0.1.0"},"tags":[{"name":"Vaults Admin","description":"Admin commands. Initialize Starke, pause Starke, resume Starke, whitelist token, whitelist user, whitelist manager."}],"servers":[{"url":"https://dev.api.starke.finance/ftaas/","description":"Dev server"},{"url":"/","description":"Local development server"}],"paths":{"/api/v1/vaults-admin/{vault}/metadata":{"patch":{"tags":["Vaults Admin"],"summary":"Update vault metadata","description":"Partially update vault metadata. Only provided fields are changed; omitted fields keep their current values.","operationId":"set_vault_metadata","parameters":[{"name":"vault","in":"path","required":true,"schema":{"$ref":"#/components/schemas/Pubkey"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetVaultMetadataQuery"}}},"required":true},"responses":{"200":{"description":"`true` if the metadata was updated,`false` if it was already up to date.","content":{"text/plain":{"schema":{"type":"boolean"}}}},"404":{"description":"Vault was not found."},"500":{"description":"Server Error."}}}}},"components":{"schemas":{"Pubkey":{"type":"string","description":"Base-58 encoded Solana Pubkey","contentEncoding":"base58"},"SetVaultMetadataQuery":{"type":"object","properties":{"description":{"type":["string","null"]},"icon_url":{"type":["string","null"]}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.starke.finance/products/fund-tokenization-as-a-service-ftaas/ftaas-api/vaults-admin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
